consoleText

download

20 Started by upstream project "cubicweb-3.23" build number 68
originally caused by:
Started by an SCM change
Building in workspace /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web
[py34-web] $ hg showconfig paths.default
[py34-web] $ hg pull
pulling from http://hg.logilab.org/review/cubicweb
searching for changes
adding changesets
adding manifests
adding file changes
added 3 changesets with 1 changes to 3 files (+1 heads)
5 new obsolescence markers
updating bookmark cubicweb-3.23
(run 'hg heads .' to see heads, 'hg merge' to merge)
[py34-web] $ hg update --clean --rev 9b3a4ceff06a8b61966f55206f7e648309268b3f
4 files updated, 0 files merged, 0 files removed, 0 files unresolved
[py34-web] $ hg --config extensions.purge= clean --all
[py34-web] $ hg log --rev . --template {node}
[py34-web] $ hg log --rev . --template {rev}
[py34-web] $ hg id --branch
[py34-web] $ /bin/bash -xe /tmp/hudson1532187160424802794.sh
+ find . '(' -name 'pgdb*' -o -name 'tmpdb*' ')' -print0
+ xargs -0 rm -rf
[py34-web] $ /bin/bash -xe /tmp/hudson1832403350703021568.sh
+ PATH=/usr/lib/postgresql/9.4/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ tox --recreate
py34-web create: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web
py34-web installdeps: -e., -r/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/requirements.txt
py34-web develop-inst: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web
py34-web installed: You are using pip version 7.1.2, however version 8.1.0 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,beautifulsoup4==4.4.1,chardet==2.3.0,colorama==0.3.2,-e hg+http://hg.logilab.org/review/cubicweb@9b3a4ceff06a8b61966f55206f7e648309268b3f#egg=cubicweb-dev,cubicweb-blog==1.12.0,cubicweb-file==1.18.0,cubicweb-tag==1.8.3,cwclientlib==0.4.1,html2text==2016.1.8,html5lib==0.999,linecache2==1.0.0,logilab-common==1.2.0,logilab-constraint==0.6.0,logilab-database==1.15.0,logilab-mtconverter==0.9.0,lxml==3.5.0,Markdown==2.6.5,passlib==1.6.5,Pillow==3.1.1,psycopg2==2.5.4,py==1.4.25,pyasn1==0.1.7,python-apt==0.9.3.12,python-dateutil==2.5.0,python3-ldap==0.9.4.2,pytz==2016.1,requests==2.4.3,rql==0.34.0,six==1.8.0,tox==1.9.2,traceback2==1.4.0,Twisted==16.0.0,unattended-upgrades==0.1,unittest2==1.1.0,urllib3==1.9.1,virtualenv==1.11.6,waitress==0.8.10,WebOb==1.5.1,WebTest==2.0.20,wheel==0.24.0,yams==0.42.0,Yapps==2.2.0,Yapps2==2.2.0,zope.interface==4.1.3
py34-web runtests: PYTHONHASHSEED='2196197208'
py34-web runtests: commands[0] | touch /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/share/cubicweb/cubes/__init__.py
py34-web runtests: commands[1] | /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/bin/python -c from logilab.common import pytest; pytest.run() -t /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test
===================== unittest_http_headers.py =====================
.
=================== unittest_views_navigation.py ===================
2016-03-15 14:59:11 - (cubicweb.appobject) WARNING: can't find any workflow for CWUser
2016-03-15 14:59:25 - (cubicweb.web) WARNING: [3.17] massmailing extracted to cube massmailing that was not found. try installing it.
2016-03-15 14:59:25 - (cubicweb.web) WARNING: [3.17] igeocoding extracted to cube geocoding that was not found. try installing it.
2016-03-15 14:59:25 - (cubicweb.web) WARNING: [3.17] embedding extracted to cube embed that was not found. try installing it.
2016-03-15 14:59:25 - (cubicweb.web) WARNING: [3.17] isioc extracted to cube sioc that was not found. try installing it.
...........
=============== unittest_views_staticcontrollers.py ================
.2016-03-15 14:59:26 - (cubicweb.web) ERROR: concatenated data url error: 'dummy.js' file does not exist
.2016-03-15 14:59:26 - (cubicweb.web) ERROR: concatenated data url error: 'dummy.js' file does not exist
....
===================== unittest_breadcrumbs.py ======================
.
================= unittest_views_basetemplates.py ==================
..
========================= test_jscript.py ==========================
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon85272ff2a34c45abb20ed1abd402bfe5 Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon1b1206c37bff464b8b5a35475b9f323e Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anond017a674cf394062a541e9c8a9ed738a Open session found while turning repository off
%sessionid, RuntimeWarning)
.
======================= unittest_reledit.py ========================
.S2016-03-15 14:59:42 - (cubicweb.rtags) WARNING: using explict subject type in <property object at 0x7ff4bcf14ea8>.tag_object_of() has no effect, use ("*", concerns, Project) instead of (Ticket, concerns, Project)
.
======================================================================
SKIPPED: test_default_forms (unittest_reledit.ClickAndEditFormTC)
Need to check if this test should still run post reledit/doreledit merge
====================== unittest_views_csv.py =======================
..
=================== unittest_views_errorform.py ====================
....
==================== unittest_idownloadable.py =====================
2016-03-15 14:59:44 - (cubicweb.web) ERROR: OSError()
Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/lib/python3.4/site-packages/logilab/common/pytest.py", line 1236, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib/python3.4/unittest/case.py", line 625, in __call__
return self.run(*args, **kwds)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 326, in run
return super(CubicWebTC, self).run(*args, **kwds)
TypeError: run() takes from 1 to 2 positional arguments but 4 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 368, in core_handle
result = controller.publish(rset=rset)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basecontrollers.py", line 134, in publish
rset=rset, view=view)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/cwvreg.py", line 225, in main_template
res = obj.render(**kwargs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basetemplates.py", line 120, in call
view.render()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/idownloadable.py", line 94, in call
self.w(adapter.download_data())
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_idownloadable.py", line 56, in download_data
raise IOError()
OSError
......
===================== unittest_viewselector.py =====================
.......................
=================== unittest_views_baseviews.py ====================
.............
===================== unittest_urlpublisher.py =====================
.............
==================== unittest_views_actions.py =====================
..
=================== unittest_views_cwsources.py ====================
.
======================= unittest_request.py ========================
....
====================== unittest_urlrewrite.py ======================
........
========================= unittest_http.py =========================
...........................
===================== unittest_application.py ======================
2016-03-15 15:00:18 - (cubicweb.web) ERROR: Exception('whatever',)
Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/lib/python3.4/site-packages/logilab/common/pytest.py", line 1236, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib/python3.4/unittest/case.py", line 625, in __call__
return self.run(*args, **kwds)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 326, in run
return super(CubicWebTC, self).run(*args, **kwds)
TypeError: run() takes from 1 to 2 positional arguments but 4 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 368, in core_handle
result = controller.publish(rset=rset)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basecontrollers.py", line 134, in publish
rset=rset, view=view)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/cwvreg.py", line 225, in main_template
res = obj.render(**kwargs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basetemplates.py", line 163, in call
view.render(w=w)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 510, in call
raise Exception('whatever')
Exception: whatever
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonaf9793e90d624dc2ab66d2a1141d0de2 Open session found while turning repository off
%sessionid, RuntimeWarning)
./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon0256daeaee62408c92658adb5d3dda72 Open session found while turning repository off
%sessionid, RuntimeWarning)
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype parent: ['Directory', 'Filesystem']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
.......2016-03-15 15:00:33 - (cubicweb.web) WARNING: the view toto could not be found
................
===================== unittest_views_xmlrss.py =====================
.
==================== unittest_views_treeview.py ====================
.
=================== unittest_views_editforms.py ====================
..................
====================== unittest_formfields.py ======================
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype owned_by: ['Filesystem', 'CWDataImport', 'CWGroup', 'State', 'Tag', 'CWAttribute', 'CWCache', 'ExternalUri', 'TreeNode', 'RQLExpression', 'CWRelation', 'TrInfo', 'UserAccount', 'Workflow', 'Salesterm', 'CWUniqueTogetherConstraint', 'CWConstraintType', 'DirectoryPermission', 'CWUser', 'BlogEntry', 'Blog', 'CWRType', 'WorkflowTransition', 'File', 'SubWorkflowExitPoint', 'MicroBlog', 'CWSourceSchemaConfig', 'CWComputedRType', 'CWSource', 'CWSourceHostConfig', 'Folder', 'Transition', 'CWEType', 'Societe', 'CWConstraint', 'Bookmark', 'BaseTransition', 'Project', 'Personne', 'EmailAddress', 'Version', 'Directory', 'MicroBlogEntry', 'CWProperty', 'Ticket']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
......
================= unittest_views_apacherewrite.py ==================
.
====================== unittest_views_json.py ======================
.../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anond4716bd7cac14ae1906915ade61a5d9c Open session found while turning repository off
%sessionid, RuntimeWarning)
.2016-03-15 15:00:43 - (cubicweb.web) WARNING: vid table can't be used with jsonp controller, falling back to jsonexport
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon1b1b1e057aa64f8fb307558c3c2ee78c Open session found while turning repository off
%sessionid, RuntimeWarning)
.....2016-03-15 15:00:45 - (cubicweb.web) WARNING: vid table can't be used with jsonp controller, falling back to jsonexport
.
========================= unittest_web.py ==========================
..127.0.0.1 - - [15/Mar/2016 15:00:47] "POST /ajax?fname=fileupload HTTP/1.1" 200 135
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon5f7ccf862bcd44a997e66fa60ffeead7 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:00:49] "POST /ajax?fname=fileupload HTTP/1.1" 200 82
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon666a8e2ab3ae4e63ae55c6f7c9c6e392 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:00:52] "GET / HTTP/1.1" 200 7786
127.0.0.1 - - [15/Mar/2016 15:00:53] "GET / HTTP/1.1" 200 7786
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon85789972efdb49cfae39060c50d6c6fb Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon71bac266b9f54874853f4db32c519024 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:00:54] "GET //6 HTTP/1.1" 403 5581
127.0.0.1 - - [15/Mar/2016 15:00:55] "GET /login?__login=admin&__password=gingkow HTTP/1.1" 303 0
127.0.0.1 - - [15/Mar/2016 15:00:55] "GET //6 HTTP/1.1" 200 11845
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: admin4fcc96ccd1a54630a29e5a223f7cc83f Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonbd25cde3d62e4fe68af891b7b52c6399 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:00:58] "GET / HTTP/1.1" 200 7786
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon18a28b090db94b3d8a10cc25697fccf4 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:01:00] "GET / HTTP/1.1" 200 7667
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon9d0731c0b6e648069075283974456c3c Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:01:02] "GET / HTTP/1.1" 200 7667
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon3aaf31fd28e24d0c97dc28dc4504421f Open session found while turning repository off
%sessionid, RuntimeWarning)
.
=============== unittest_views_searchrestriction.py ================
........
====================== unittest_webconfig.py =======================
...
================ unittest_views_basecontrollers.py =================
................./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype to_entity: ['CWAttribute', 'CWRelation']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
...../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype read_permission: ['CWGroup', 'RQLExpression']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
2016-03-15 15:01:23 - (cubicweb.session) WARNING: no schema for 7
2016-03-15 15:01:23 - (cubicweb.session) WARNING: no schema for 7
..2016-03-15 15:01:24 - (cubicweb.web) WARNING: param login-subject mis-formatted
........................................./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon595396a64e4f49f59eab1672245d1b9c Open session found while turning repository off
%sessionid, RuntimeWarning)
.
===================== unittest_magicsearch.py ======================
..................
========================== test_views.py ===========================
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: adminb6a73fcb97784d399cd3effc5133e00b Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype allowed_transition: ['BaseTransition', 'Transition', 'WorkflowTransition']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype constrained_by: ['CWAttribute', 'CWRelation']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
..2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:16 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1452 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688675645480>
2016-03-15 15:02:25 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1475 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688666962296>
2016-03-15 15:02:26 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1475 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688666962296>
2016-03-15 15:02:26 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1475 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688666962296>
2016-03-15 15:02:26 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1475 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688666962296>
2016-03-15 15:02:26 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1475 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688666962296>
2016-03-15 15:02:26 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1475 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688666962296>
2016-03-15 15:02:26 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1475 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688666962296>
2016-03-15 15:02:26 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity Folder 1475 ['cwuri', 'creation_date', 'name', 'modification_date'] at 140688666962296>
.....
===================== unittest_views_forms.py ======================
...
==================== unittest_propertysheet.py =====================
.
===================== unittest_formwidgets.py ======================
...
====================== unittest_controller.py ======================
..
======================== unittest_uicfg.py =========================
.........
======================== unittest_facet.py =========================
....................
========================= unittest_form.py =========================
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype tags: ['BlogEntry', 'CWUser', 'Tag']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
...........
==================== unittest_views_pyviews.py =====================
..
-> creating tables
-> inserting default user and default groups.
-> storing the schema in the database
-> database for instance data initialized.
Building autopopulate for database tmpdb
*******************************************************************************
Ran 363 test cases in 216.49s (206.73s CPU), 1 skipped
All 39 modules OK
___________________________________ summary ____________________________________
py34-web: commands succeeded
congratulations :)
[PostBuildScript] - Execution post build scripts.
[PostBuildScript] Build is not failure : do not execute script
[PostBuildScript] - Execution post build scripts.
[py34-web] $ /bin/bash -xe /tmp/hudson6284248646314941029.sh
+ /var/lib/jenkins/scripts/notify_forge_apycot.py cwo cubicweb 9b3a4ceff06a http://jenkins.logilab.fr/job/cubicweb-3.23/TOXENV=py34-web/68/ --status success
<br/>

log from execution
download